# Uses of Class
org.apache.datasketches.sampling.VarOptItemsUnion

Packages that use VarOptItemsUnion
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of VarOptItemsUnion in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return VarOptItemsUnion
Modifier and Type
Method
Description
`static <T> VarOptItemsUnion<T>`
VarOptItemsUnion.`heapify(MemorySegment srcSeg, ArrayOfItemsSerDe<T> serDe)`
Instantiates a Union from MemorySegment
`static <T> VarOptItemsUnion<T>`
VarOptItemsUnion.`newInstance(int maxK)`
Creates an empty Union with a maximum capacity of size k.